osgUI::Validator Class Reference

`#include <Validator>`

Inheritance diagram for osgUI::Validator:

## Public Types

enum | State { INVALID , INTERMEDIATE , ACCEPTABLE }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| Validator ()
| Validator (const Validator &validator, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgUI, Validator)
virtual State | validate (std::string &, int &cursorpos) const
virtual State | validateImplementation (std::string &, int &) const
| override in subclasses to proviude the validate implementation.
virtual void | fixup (std::string &) const
virtual void | fixupImplementation (std::string &) const
| override in subclass to provide the fixup implementation.
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~Validator ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Enumeration Documentation

## State

enum osgUI::Validator::State

Enumerator
INVALID |
INTERMEDIATE |
ACCEPTABLE |

## Constructor & Destructor Documentation

## Validator() [1/2]

osgUI::Validator::Validator | ( |  | ) |

Referenced by META_Object(), and Validator().

## Validator() [2/2]

osgUI::Validator::Validator | ( | const Validator & | validator,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY, and Validator().

## ~Validator()

virtual osgUI::Validator::~Validator | ( |  | ) |

inline protected virtual

## Member Function Documentation

## fixup()

virtual void osgUI::Validator::fixup | ( | std::string & |  | ) | const

virtual

entry point to fixup, checks for "validate" Callbac Object and calls it if present, otherwise calls validateImplementation(..) fixup(..) is called when user pressers return/enter in a field being edited. str parameter is string that needs to be corrected.

## fixupImplementation()

virtual void osgUI::Validator::fixupImplementation | ( | std::string & |  | ) | const

virtual

override in subclass to provide the fixup implementation.

Reimplemented in osgUI::DoubleValidator, and osgUI::IntValidator.

## META_Object()

osgUI::Validator::META_Object | ( | osgUI | ,
|  | Validator | )

References Validator().

## validate()

virtual State osgUI::Validator::validate | ( | std::string & | ,
|  | int & | cursorpos ) const

virtual

entry point to validate(..) method, checks for "validate" CallbackObject and calls it if present, otherwise calls validateImplementation(..) str parameter is the string that needs to be validated cursorpos is the position of the cursor within the str string. return validatidy State.

## validateImplementation()

virtual State osgUI::Validator::validateImplementation | ( | std::string & | ,
|  | int & | ) const

virtual

override in subclasses to proviude the validate implementation.

Reimplemented in osgUI::DoubleValidator, and osgUI::IntValidator.

The documentation for this class was generated from the following file:

- osgUI/Validator